#ifndef GLTEST_WAVEMESH_H
#define GLTEST_WAVEMESH_H

#include "Mesh.h"

class WaveMesh: public Mesh {
private:
	float _shift;

public:
	WaveMesh(ShaderProgram* shader, std::size_t size);
	virtual ~WaveMesh();
	void setShift(float shift);

private:
	float heightMapFunc(std::size_t nx, std::size_t ny, float fx, float fy) const override final;
};


#endif //GLTEST_WAVEMESH_H
